import { IController } from '../controller';
/**
 * React props or state containing the client. There should be only a single client for the whole
 * application.
 */
export interface IExtensionsControllerProps<K extends keyof IController = keyof IController> {
    /**
     * The client, which is used to communicate with and manage extensions.
     */
    extensionsController: Pick<IController, K>;
}
